import React from 'react';
import { CoverPage } from './Styledfilters';
import SelectionFilter from './SelectionFilter';
import { useClientPortal } from '../../store';
import ReturnStatus from '../../client-portal/ReturnStatus';

function HeaderFilter() {
  const [clientPortal] = useClientPortal();

  return (
    <>
      {clientPortal ? (
        <ReturnStatus />
      ) : (
        <>
          <CoverPage>
            <SelectionFilter />
          </CoverPage>
        </>
      )}
    </>
  );
}
export default HeaderFilter;
